<?php 
include('/header.php');
include_once("db_connect.php");
?>
<title>coderszine.com : Demo Export Html Table to Excel using jQuery</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="dist/jquery.table2excel.min.js"></script>
<script type="text/javascript" src="script.js"></script>
<style>
table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

td, th {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
}

tr:nth-child(even) {
    background-color: #dddddd;
}
</style>
<?php include('container.php');?>
<div class="container">
	<h2>Example: Export Html Table to Excel using jQuery</h2>		
	<br>	
	<br>	
	
	<table id="my_table" width="100%">
        <thead>
            <tr>
				<th>Id</th>
                <th>Name</th>
				<th>Age</th>
				<th>Gender</th>
				<th>Address</th>
				<th>Designation</th>
                <th>Skills</th>               
            </tr>
        </thead>       
		<tbody>
			<?php			
			$sql_query = "SELECT id, name, gender, skills, address, designation, age FROM developers LIMIT 6";
			$resultset = mysqli_query($conn, $sql_query) or die("database error:". mysqli_error($conn));
			while( $developer = mysqli_fetch_assoc($resultset) ) {
			?>
			<tr>
				<td><?php echo $developer['id']; ?></td>
				<td><?php echo $developer['name']; ?></td>
				<td><?php echo $developer['gender']; ?></td>
				<td><?php echo $developer['skills']; ?></td>
				<td><?php echo $developer['address']; ?></td>
				<td><?php echo $developer['designation']; ?></td>
				<td><?php echo $developer['age']; ?></td>
			</tr>	
			<?php } ?>
		</tbody>
    </table>
	<br><br>	
	<button class="btn btn-success" id="export_to_excel">Export to excel</button>
	<br><br>	
	
	<br>
	<div style="margin:10px 0px 0px 0px;">
		<a class="btn btn-default read-more" style="background:#3399ff;color:white" href="http://www.coderszine.com/export-html-table-to-excel-using-jquery" title="">Back to Tutorial</a>			
	</div>		
</div>
<?php include('footer.php');?>